Provide graphical monitoring that shows the state of all of the buffers and queues in the system
Assignee: % Done: 10%
Category: artdag-node-server Estimated time: 120.00 hours
Target version: Spent time: 0.00 hour
Experiment:

Description

When data taking stops, or is running more slowly than expected, it is not always clear what the cause of the problem is. It could be
that the writing of the data to disk has significantly slowed down and that is exerting backpressure through the system. Or, it could
simply be that the trigger rate (and therefore the number of fragments and events that are input to the system) has dropped.

To help understand what is going on in situations like this, it would be helpful to have a graphical monitor that shows the states of all
of the buffers and queues in the system. Such as a display should provide sufficient detail so that a DAQ expert could use it to
diagnose problems. And, it should also have sulfficient clarity that a shifter could use it to get a sense of the general area of a
problem, when a problem occurs.

This Issue asks for a particular solution to the problem of understand where the bottlenecks in the system are at a given time, but
there may be other solutions that would work just as well. If so, those should be proposed also.

A companion display that shows the state of each of the processes in the DAQ system may also be helpful.

Related issues:
Related to artdaq - Feature #20569: Status monitoring display Work in progre88/09/2018

History

#1 - 01/13/2017 04:38 PM - Eric Flumerfelt

- Project changed from artdaq to artdaq Utilities
- Category set to 431

- Target version deleted (577)

- % Done changed from 0 to 10

I have a very basic version of this working in artdag-node-server. With TransferPlugin-based data flow, | think | might have enough directed stats to
make a neat GUI.

#2 - 02/10/2017 01:07 PM - Eric Flumerfelt

- Category changed from artdag-utilities to artdaq-node-server

#3 - 11/07/2018 09:28 AM - Eric Flumerfelt
- Related to Feature #20569: Status monitoring display added
